
Redmine - Defect #22305

Highlighting of required and read-only custom fields broken in Workflow editor.

2016-03-22 11:49 - Serghei Zagorinyak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.1.5   

Resolution: Fixed Affected version: 3.1.4

Description

1. Go to Administration/Workflow

2. Open Fields permissions tab

3. Add some read-only and required fields in the Standard fields section

4. Add some read-only and required fields in the Custom fields section

5. Save changes

Read-only and required fields in Standard fields section are highlighted with grey and red rescpectively.

Read-only and required fields in Custom fields section are not highlighted.

Related issues:

Related to Redmine - Defect #19580: "Required" and "Read-only" rules on "Fiel... Closed

Associated revisions

Revision 15293 - 2016-04-03 13:58 - Jean-Philippe Lang

Highlighting of required and read-only custom fields broken in Workflow editor (#22305).

Patch by Go MAEDA.

Revision 15306 - 2016-04-09 07:52 - Jean-Philippe Lang

Merged r15293 (#22305).

Revision 15307 - 2016-04-09 07:52 - Jean-Philippe Lang

Merged r15293 (#22305).

History

#1 - 2016-03-27 05:33 - Go MAEDA

- File defect-22305.png added

- Status changed from New to Confirmed

Confirmed in trunk (3.2.1.devel.15287).

 

Caused by a wrong class name for td element.

          <td class="[&quot;required&quot;]">

            <select name="permissions[1][5]" id="permissions_1_5"><option value=""></option>

<option value="readonly">Read-only</option>

<option selected="selected" value="required">Required</option></select>

            <a href="#" class="repeat-value">&#187;</a>

          </td>

#2 - 2016-03-27 05:33 - Go MAEDA
- Related to Defect #19580: "Required" and "Read-only" rules on "Fields Permissions" screen are not colored  added

#3 - 2016-03-27 06:36 - Go MAEDA

- File defect-22305.diff added

- Target version set to 3.1.5

- Affected version changed from 3.2.1 to 3.1.4

Here is a patch to fix this issue: defect-22305.diff

#4 - 2016-04-03 13:58 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#5 - 2016-04-09 07:52 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

defect-22305.png 6.91 KB 2016-03-27 Go MAEDA

defect-22305.diff 1.75 KB 2016-03-27 Go MAEDA
